<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:30 CEST 2019 -->
<title>RefinementsActionBarContributor</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RefinementsActionBarContributor";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsActionBarContributor.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/presentation/RefinementsActionBarContributor.html" target="_top">Frames</a></li>
<li><a href="RefinementsActionBarContributor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">refinement.model.refinements.presentation</div>
<h2 title="Class RefinementsActionBarContributor" class="title">Class RefinementsActionBarContributor</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.ui.part.EditorActionBarContributor</li>
<li>
<ul class="inheritance">
<li>org.eclipse.ui.part.MultiPageEditorActionBarContributor</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor</li>
<li>
<ul class="inheritance">
<li>refinement.model.refinements.presentation.RefinementsActionBarContributor</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.jface.action.IMenuListener, org.eclipse.jface.viewers.ISelectionChangedListener, org.eclipse.ui.IEditorActionBarContributor, org.eclipse.ui.IPropertyListener</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">RefinementsActionBarContributor</span>
extends org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
implements org.eclipse.jface.viewers.ISelectionChangedListener</pre>
<div class="block">This is the action bar contributor for the Refinements model editor.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor</h3>
<code>ADDITIONS_LAST_STYLE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsActionBarContributor.html#RefinementsActionBarContributor--">RefinementsActionBarContributor</a></span>()</code>
<div class="block">This creates an instance of the contributor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsActionBarContributor.html#contributeToMenu-org.eclipse.jface.action.IMenuManager-">contributeToMenu</a></span>(org.eclipse.jface.action.IMenuManager&nbsp;menuManager)</code>
<div class="block">This adds to the menu bar a menu and some separators for editor additions,
 as well as the sub-menus for object creation items.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsActionBarContributor.html#contributeToToolBar-org.eclipse.jface.action.IToolBarManager-">contributeToToolBar</a></span>(org.eclipse.jface.action.IToolBarManager&nbsp;toolBarManager)</code>
<div class="block">This adds Separators for editor additions to the tool bar.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsActionBarContributor.html#menuAboutToShow-org.eclipse.jface.action.IMenuManager-">menuAboutToShow</a></span>(org.eclipse.jface.action.IMenuManager&nbsp;menuManager)</code>
<div class="block">This populates the pop-up menu before it appears.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsActionBarContributor.html#selectionChanged-org.eclipse.jface.viewers.SelectionChangedEvent-">selectionChanged</a></span>(org.eclipse.jface.viewers.SelectionChangedEvent&nbsp;event)</code>
<div class="block">This implements <code>ISelectionChangedListener</code>,
 handling <code>SelectionChangedEvent</code>s by querying for the children and siblings
 that can be added to the selected object and updating the menus accordingly.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsActionBarContributor.html#setActiveEditor-org.eclipse.ui.IEditorPart-">setActiveEditor</a></span>(org.eclipse.ui.IEditorPart&nbsp;part)</code>
<div class="block">When the active editor changes, this remembers the change and registers with it as a selection provider.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor</h3>
<code>activate, contributeToStatusLine, deactivate, getActiveEditor, init, propertyChanged, setActivePage, setActiveView, shareGlobalActions, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.part.EditorActionBarContributor">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.ui.part.EditorActionBarContributor</h3>
<code>contributeToCoolBar, dispose, getActionBars, getPage, init</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RefinementsActionBarContributor--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RefinementsActionBarContributor</h4>
<pre>public&nbsp;RefinementsActionBarContributor()</pre>
<div class="block">This creates an instance of the contributor.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="contributeToToolBar-org.eclipse.jface.action.IToolBarManager-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contributeToToolBar</h4>
<pre>public&nbsp;void&nbsp;contributeToToolBar(org.eclipse.jface.action.IToolBarManager&nbsp;toolBarManager)</pre>
<div class="block">This adds Separators for editor additions to the tool bar.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>contributeToToolBar</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor</code></dd>
</dl>
</li>
</ul>
<a name="contributeToMenu-org.eclipse.jface.action.IMenuManager-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contributeToMenu</h4>
<pre>public&nbsp;void&nbsp;contributeToMenu(org.eclipse.jface.action.IMenuManager&nbsp;menuManager)</pre>
<div class="block">This adds to the menu bar a menu and some separators for editor additions,
 as well as the sub-menus for object creation items.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>contributeToMenu</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor</code></dd>
</dl>
</li>
</ul>
<a name="setActiveEditor-org.eclipse.ui.IEditorPart-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setActiveEditor</h4>
<pre>public&nbsp;void&nbsp;setActiveEditor(org.eclipse.ui.IEditorPart&nbsp;part)</pre>
<div class="block">When the active editor changes, this remembers the change and registers with it as a selection provider.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setActiveEditor</code>&nbsp;in interface&nbsp;<code>org.eclipse.ui.IEditorActionBarContributor</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>setActiveEditor</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor</code></dd>
</dl>
</li>
</ul>
<a name="selectionChanged-org.eclipse.jface.viewers.SelectionChangedEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectionChanged</h4>
<pre>public&nbsp;void&nbsp;selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent&nbsp;event)</pre>
<div class="block">This implements <code>ISelectionChangedListener</code>,
 handling <code>SelectionChangedEvent</code>s by querying for the children and siblings
 that can be added to the selected object and updating the menus accordingly.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>selectionChanged</code>&nbsp;in interface&nbsp;<code>org.eclipse.jface.viewers.ISelectionChangedListener</code></dd>
</dl>
</li>
</ul>
<a name="menuAboutToShow-org.eclipse.jface.action.IMenuManager-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>menuAboutToShow</h4>
<pre>public&nbsp;void&nbsp;menuAboutToShow(org.eclipse.jface.action.IMenuManager&nbsp;menuManager)</pre>
<div class="block">This populates the pop-up menu before it appears.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>menuAboutToShow</code>&nbsp;in interface&nbsp;<code>org.eclipse.jface.action.IMenuListener</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>menuAboutToShow</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsActionBarContributor.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/presentation/RefinementsActionBarContributor.html" target="_top">Frames</a></li>
<li><a href="RefinementsActionBarContributor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
